#
# spec file for package libdnet
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libdnet
Version:        1.12
Release:        0
Summary:        Library for Simple, Portable Interface to Low Level Networking Routines
License:        BSD-3-Clause
Group:          Development/Libraries/Other
Url:            http://code.google.com/p/libdnet/
Source0:        http://libdnet.googlecode.com/files/%{name}-%{version}.tar.bz2
Patch0:         %{name}.patch
BuildRequires:  libtool
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libdnet provides a simplified, portable interface to several low-level
networking routines, including:
* network address manipulation
* kernel arp(4) cache and route(4) table lookup and manipulation
* network firewalling (IP filter, ipfw, ipchains, pf, PktFilter, ...)
* network interface lookup and manipulation
* IP tunnelling (BSD/Linux tun, Universal TUN/TAP device)
* raw IP packet and Ethernet frame transmission

%package -n libdnet1
Summary:        Library for Simple, Portable Interface to Low Level Networking Routines
Group:          Development/Libraries/Other

%description -n libdnet1
libdnet provides a simplified, portable interface to several low-level
networking routines, including:
* network address manipulation
* kernel arp(4) cache and route(4) table lookup and manipulation
* network firewalling (IP filter, ipfw, ipchains, pf, PktFilter, ...)
* network interface lookup and manipulation
* IP tunnelling (BSD/Linux tun, Universal TUN/TAP device)
* raw IP packet and Ethernet frame transmission

%package devel
Summary:        Devel files for libdnet
Group:          Development/Libraries/Other
Requires:       glibc-devel
Requires:       libdnet1 = %{version}

%description devel
libdnet provides a simplified, portable interface to several low-level
networking routines, including:
- network address manipulation
- kernel arp(4) cache and route(4) table lookup and manipulation
- network firewalling (IP filter, ipfw, ipchains, pf, PktFilter, ...)
- network interface lookup and manipulation
- IP tunnelling (BSD/Linux tun, Universal TUN/TAP device)
- raw IP packet and Ethernet frame transmission

%prep
%setup -q
%patch0

%build
ACLOCAL="aclocal -I config" autoreconf -fvi
%configure --disable-static --with-pic
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libdnet1 -p /sbin/ldconfig

%postun -n libdnet1 -p /sbin/ldconfig

%files -n libdnet1
%defattr(-,root,root)
%{_libdir}/libdnet.so.1*

%files devel
%defattr(-,root,root)
%doc LICENSE README TODO THANKS
%{_sbindir}/*
%{_bindir}/dnet-config
%{_includedir}/dnet.h
%dir %{_includedir}/dnet
%{_includedir}/dnet/*.h
%{_libdir}/libdnet.so
%{_mandir}/man?/dnet.*.gz

%changelog
